t = """\nDemonstrateinteraction options for color mapping.
Keys: https://www.astro.rug.nl/software/kapteyn/maputils.html#maputils.Annotatedimage.interact_imagecolors
Note that the original Matplotlib key 'I' has been replaced by key '9'\n
"""
print(t)

from kapteyn import maputils
from matplotlib import pyplot as plt
from kapteyn.mplutil import KeyPressFilter

KeyPressFilter.allowed = ['f','g', 'l']

f = maputils.FITSimage("m101.fits")
#f.set_limits((100,500),(200,400))

bottomy = 0.1
fig = plt.figure(figsize=(14, 8))
frame = fig.add_axes([0.22, bottomy, 0.7, 0.8])

mycmlist = ["mousse.lut", "ronekers.lut"]
maputils.cmlist.add(mycmlist)
print("Colormaps: ", maputils.cmlist.colormaps)

mplim = f.Annotatedimage(frame, cmap="mousse.lut")
mplim.cmap.set_bad('w')
ima = mplim.Image()
mplim.Colorbar(pad=0.2)
mplim.Pixellabels()
mplim.Graticule()
mplim.plot()

mplim.interact_toolbarinfo()
mplim.interact_imagecolors()
mplim.interact_writepos()

s =\
"""Interaction keys:

0   reset all
1   linear
2   logarithmic
3   exponential
4   square root
5   square
9   inverse toggle 
b   color of blank
h   toggle hist. eq.
m   save color map
x   increase blurring fac.
z   blur image

page-up  change color map
page-dn  change color map

mbr       change offset & slope
shift-mbl write pos to term"""

props = dict(boxstyle='round', facecolor='wheat', alpha=0.5)
from matplotlib.font_manager import FontProperties
font0 = FontProperties()
font0.set_family('monospace')
frame.text(0.02, bottomy, s, transform=fig.transFigure, verticalalignment='bottom', 
           bbox=props, fontproperties=font0)

plt.show()

